#preloader {
  display: flex;
  position: fixed;
  inset: 0;
  width: 100%;
  height: 100vh;
  z-index: 99999;
  background: #000;
}
#preloader:before, #preloader:after {
  content: "";
  background-color: #000;
  position: absolute;
  inset: 0;
  width: 50%;
  height: 100%;
  transition: all 0.3s ease 0s;
  z-index: -1;
}
#preloader:after {
  left: auto;
  right: 0;
}
#preloader .line {
  position: relative;
  overflow: hidden;
  margin: auto;
  width: 1px;
  height: 280px;
  transition: all 0.8s ease 0s;
}
#preloader .line:before {
  content: "";
  position: absolute;
  background-color: #fff;
  left: 0;
  top: 50%;
  width: 1px;
  height: 0%;
  transform: translateY(-50%);
  -webkit-animation: lineincrease 1000ms ease-in-out 0s forwards;
  animation: lineincrease 1000ms ease-in-out 0s forwards;
}
#preloader .line:after {
  content: "";
  position: absolute;
  background-color: #000;
  left: 0;
  top: 0;
  width: 1px;
  height: 100%;
  transform: translateY(-100%);
  -webkit-animation: linemove 1200ms linear 0s infinite;
  animation: linemove 1200ms linear 0s infinite;
  -webkit-animation-delay: 2000ms;
  animation-delay: 2000ms;
}
#preloader.loaded .line {
  opacity: 0;
  height: 100% !important;
}
#preloader.loaded .line:after {
  opacity: 0;
}
#preloader.loaded:before, #preloader.loaded:after {
  -webkit-animation: preloaderfinish 300ms ease-in-out 500ms forwards;
  animation: preloaderfinish 300ms ease-in-out 500ms forwards;
}
@keyframes lineincrease {
  0% {
    height: 0%;
  }
  100% {
    height: 100%;
  }
}
@keyframes linemove {
  0% {
    transform: translateY(200%);
  }
  100% {
    transform: translateY(-100%);
  }
}
@-webkit-keyframes preloaderfinish {
  0% {
    width: 5 0%;
  }
  100% {
    width: 0%;
  }
}
@keyframes preloaderfinish {
  0% {
    width: 5 0%;
  }
  100% {
    width: 0%;
  }
}
